Syncfusion AI Assistant

How can I help you?

Create a rounded button in React Button component

2 Mar 20261 minute to read

A button with rounded corners can be created by adding a CSS class with the border-radius property. In the following example, the e-round-corner class applies a 5px border radius.

import { enableRipple } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
// To render Button.
function App() {
    return (<ButtonComponent cssClass='e-round-corner'>Button</ButtonComponent>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render Button.
function App() {
  return (
    <ButtonComponent cssClass='e-round-corner'>Button</ButtonComponent>
  );
}
export default App;
ReactDom.render(<App />,document.getElementById('button'));

Create a rounded button in Vue Button component
11 Jun 20241 minute to read
Button with rounded corner can be achieved by adding border-radius
property.
In the following example, e-round-corner
class is added with border-radius
as 5px
.
<template>
<ejs-button cssClass='e-round-corner'>Button</ejs-button>
</template>
<script setup>
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
.e-round-corner {
border-radius: 5px;
}
button {
margin: 25px 5px 20px 20px;
}
</style>
<template>
<ejs-button cssClass='e-round-corner'>Button</ejs-button>
</template>
<script>
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
export default {
name: "App",
components: {
"ejs-button":ButtonComponent
},
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
.e-round-corner {
border-radius: 5px;
}
button {
margin: 25px 5px 20px 20px;
}
</style>

HelpBot Assistant

How can I help you?

Create a rounded button in Angular Button component

27 Apr 20241 minute to read

Button with rounded corner can be achieved by adding border-radius CSS property to button element.

In the following example, e-round-corner class is defined with 5px border-radius property and added that class to button element using cssClass
property.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { enableRipple } from '@syncfusion/ej2-base'



import { Component } from '@angular/core';

@Component({
imports: [
        
        ButtonModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="e-section-control">
                    <!-- To render Button. -->
                    <button ejs-button cssClass='e-round-corner'>Button</button>
               </div>`
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));